%define upstream_name virtnbdbackup
%define version 1.9.55
%define release 1

Name: python-%{upstream_name}
Summary: Backup utility for libvirt
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Vendor: Michael Ablassmeier <abi@grinser.de>
Url: https://github.com/abbbi/virtnbdbackup/
Source0: %{upstream_name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3-setuptools

Requires: nbdkit-server
Requires: nbdkit-python-plugin
Requires: python3-dataclasses
Requires: python3-libnbd
Requires: python3-libvirt
Requires: python3-lxml
Requires: python3-lz4
Requires: python3-paramiko
Requires: python3-tqdm
Requires: python3-typing-extensions

%description
Backup utility for libvirt, using latest changed block tracking features

%package -n     python3-%{upstream_name}
Summary: Backup utility for libvirt

%description -n python3-%{upstream_name}
Backup utility for libvirt, using latest changed block tracking features

%prep
%setup -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%license LICENSE
%doc Changelog README.md
%{_bindir}/virtnbd-nbdkit-plugin
%{_bindir}/virtnbdbackup
%{_bindir}/virtnbdmap
%{_bindir}/virtnbdrestore
%{python3_sitelib}/lib%{upstream_name}
%{python3_sitelib}/%{upstream_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon May 20 2024 Jean-Marc Liger <ligenix@iscp.fr> - 1.9.55-1
- Specfile based on upstream clean up for COPR EL8 and EL9
